# MetricMDNUNMNormalizedEntropy (ARX GUI Documentation)

org.deidentifier.arx.metric.v2

## Class MetricMDNUNMNormalizedEntropy

- java.lang.Object
- - org.deidentifier.arx.metric.Metric<AbstractILMultiDimensional>
  - - org.deidentifier.arx.metric.v2.AbstractMetricMultiDimensional
    - - org.deidentifier.arx.metric.v2.MetricMDNUEntropyPrecomputed
      - - org.deidentifier.arx.metric.v2.MetricMDNUNMEntropyPrecomputed
        - - org.deidentifier.arx.metric.v2.MetricMDNUNMNormalizedEntropyPrecomputed
          - - org.deidentifier.arx.metric.v2.MetricMDNUNMNormalizedEntropy

- All Implemented Interfaces:
    java.io.Serializable

      public class MetricMDNUNMNormalizedEntropy
      extends MetricMDNUNMNormalizedEntropyPrecomputed

  This class provides an implementation of normalized non-uniform entropy
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.deidentifier.arx.metric.Metric

      `Metric.AggregateFunction`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MetricMDNUNMNormalizedEntropy()` Creates a new instance.
    `protected` | `MetricMDNUNMNormalizedEntropy(Metric.AggregateFunction function)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetricConfiguration` | `getConfiguration()` Returns the configuration of this metric.
    `protected AbstractILMultiDimensional` | `getLowerBoundInternal(org.deidentifier.arx.framework.lattice.Transformation node)` Returns a lower bound for the information loss for the given node.
    `java.lang.String` | `getName()` Returns the name of metric.
    `ElementData` | `render(ARXConfiguration config)` Renders the privacy model
    `java.lang.String` | `toString()` Returns the name of metric.

    - ### Methods inherited from class org.deidentifier.arx.metric.v2.MetricMDNUNMNormalizedEntropyPrecomputed

      `getInformationLossInternal, getInformationLossInternal, getLowerBoundInternal, initializeInternal, isPrecomputed`

    - ### Methods inherited from class org.deidentifier.arx.metric.v2.MetricMDNUNMEntropyPrecomputed

      `isGSFactorSupported`

    - ### Methods inherited from class org.deidentifier.arx.metric.v2.MetricMDNUEntropyPrecomputed

      `getInformationLossInternalRaw, getUpperBounds, initialize`

    - ### Methods inherited from class org.deidentifier.arx.metric.v2.AbstractMetricMultiDimensional

      `createInformationLoss, createInformationLossWithBound, createInformationLossWithoutBound, createMaxInformationLoss, createMinInformationLoss, getAggregateFunction, getAggregateFunctions, getDimensions, getDimensionsAggregated, getDimensionsGeneralized, getError, getMicroaggregationFunctions, getMicroaggregationStartIndex, initialize, setMax, setMin`

    - ### Methods inherited from class org.deidentifier.arx.metric.Metric

      `createAECSMetric, createAECSMetric, createAmbiguityMetric, createDiscernabilityMetric, createDiscernabilityMetric, createEntropyBasedInformationLossMetric, createEntropyBasedInformationLossMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createHeightMetric, createHeightMetric, createInstanceOfHighestScore, createInstanceOfLowestScore, createKLDivergenceMetric, createLossMetric, createLossMetric, createLossMetric, createLossMetric, createMetric, createNormalizedEntropyMetric, createNormalizedEntropyMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedNormalizedEntropyMetric, createPrecomputedNormalizedEntropyMetric, createPublisherPayoutMetric, createPublisherPayoutMetric, createStaticMetric, createStaticMetric, getDescription, getDescription, getGeneralizationFactor, getGeneralizationSuppressionFactor, getInformationLoss, getInformationLoss, getLowerBound, getLowerBound, getNumRecords, getSubset, getSuppressionFactor, initialize, isAbleToHandleMicroaggregation, isIndependent, isMonotonic, isMonotonicWithGeneralization, isMonotonicWithSuppression, isMultiDimensional, isWeighted, list, round`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MetricMDNUNMNormalizedEntropy

          protected MetricMDNUNMNormalizedEntropy()

      Creates a new instance.

    - #### MetricMDNUNMNormalizedEntropy

          protected MetricMDNUNMNormalizedEntropy(Metric.AggregateFunction function)

      Creates a new instance.
      Parameters:
        `function` -

  - ### Method Detail

    - #### getConfiguration

          public MetricConfiguration getConfiguration()

      Returns the configuration of this metric.
      Overrides:
        `getConfiguration` in class `MetricMDNUNMNormalizedEntropyPrecomputed`
      Returns:

    - #### getName

          public java.lang.String getName()

      Description copied from class: `Metric`
      Returns the name of metric.
      Overrides:
        `getName` in class `MetricMDNUNMNormalizedEntropyPrecomputed`
      Returns:

    - #### render

          public ElementData render(ARXConfiguration config)

      Description copied from class: `Metric`
      Renders the privacy model
      Overrides:
        `render` in class `MetricMDNUNMNormalizedEntropyPrecomputed`
      Returns:

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Metric`
      Returns the name of metric.
      Overrides:
        `toString` in class `MetricMDNUNMNormalizedEntropyPrecomputed`

    - #### getLowerBoundInternal

          protected AbstractILMultiDimensional getLowerBoundInternal(org.deidentifier.arx.framework.lattice.Transformation node)

      Description copied from class: `Metric`
      Returns a lower bound for the information loss for the given node. This can be used to expose the results of monotonic shares of a metric, which can significantly speed-up the anonymization process. If no such metric exists, simply return `null`.
      Overrides:
        `getLowerBoundInternal` in class `MetricMDNUNMNormalizedEntropyPrecomputed`
      Returns: